Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.search.finder
Class SearchAdapter

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.search.finder.SearchAdapter

All Implemented Interfaces:
  SearchListener

    public abstract class SearchAdapter

extends Object
implements SearchListener

Author:
  Nick Drummond, Medical Informatics Group, University of Manchester 21-Mar-2006

Constructor Summary
`SearchAdapter()`

Method Summary
`void` | `resultsUpdatedEvent(int numResults, Find source)`
`void` | `searchCancelledEvent(Find source)`
`void` | `searchCompleteEvent(int numResults, Find source)`
`void` | `searchEvent(Find source)`
`void` | `searchStartedEvent(Find source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchAdapter

    public SearchAdapter()

Method Detail

### searchStartedEvent

    public void searchStartedEvent(Find source)

  Specified by:
    `searchStartedEvent` in interface `SearchListener`

### resultsUpdatedEvent

    public void resultsUpdatedEvent(int numResults,
                                    Find source)

  Specified by:
    `resultsUpdatedEvent` in interface `SearchListener`

### searchCompleteEvent

    public void searchCompleteEvent(int numResults,
                                    Find source)

  Specified by:
    `searchCompleteEvent` in interface `SearchListener`

### searchCancelledEvent

    public void searchCancelledEvent(Find source)

  Specified by:
    `searchCancelledEvent` in interface `SearchListener`

### searchEvent

    public void searchEvent(Find source)

  Specified by:
    `searchEvent` in interface `SearchListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.